package faqapp;

import java.io.Serializable;
import java.util.Date;

/**
 * FAQTO (Transfer Object). This TO is used by the AppSessionFacade bean.
 * The reason why this TO is not immutable is due to requirements of the
 * Web service implementation.
 **/
public class FAQTO implements Serializable {
    private int questionID;
    private String question;
    private String answer;
    private boolean internalFlag;
    private String productVersion;
    private String createdBy;
    private Date creationDate;
    private String modifiedBy;
    private Date modificationDate;
    private int[] topicIDs;
    private int[] areaIDs;

    public FAQTO() {
    }

    public FAQTO(int questionID, String question, String answer, boolean internalFlag, String productVersion, String createdBy, Date creationDate, String modifiedBy, Date modificationDate, int[] topicIDs, int[] areaIDs) {
        this.questionID = questionID;
        this.question = question;
        this.answer = answer;
        this.internalFlag = internalFlag;
        this.productVersion = productVersion;
        this.createdBy = createdBy;
        this.creationDate = creationDate;
        this.modifiedBy = modifiedBy;
        this.modificationDate = modificationDate;
        this.topicIDs = topicIDs;
        this.areaIDs = areaIDs;
    }

    public void setQuestionID(int questionID) {
        this.questionID = questionID;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public void setInternalFlag(boolean internalFlag) {
        this.internalFlag = internalFlag;
    }

    public void setProductVersion(String productVersion) {
        this.productVersion = productVersion;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public void setModifiedBy(String modifiedBy) {
        this.modifiedBy = modifiedBy;
    }

    public void setModificationDate(Date modificationDate) {
        this.modificationDate = modificationDate;
    }

    public void setTopicIDs(int[] topicIDs) {
        this.topicIDs = topicIDs;
    }

    public void setAreaIDs(int[] areaIDs) {
        this.areaIDs = areaIDs;
    }

    public int getQuestionID() {
        return questionID;
    }

    public String getQuestion() {
        return question;
    }

    public String getAnswer() {
        return answer;
    }

    public boolean isInternalFlag() {
        return internalFlag;
    }

    public String getProductVersion() {
        return productVersion;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public String getModifiedBy() {
        return modifiedBy;
    }

    public Date getModificationDate() {
        return modificationDate;
    }

    public int[] getTopicIDs() {
        return topicIDs;
    }

    public int[] getAreaIDs() {
        return areaIDs;
    }
}
